[![Netlify Status](https://api.netlify.com/api/v1/badges/c07f2af9-ca82-4f2e-a051-3de8e232cebe/deploy-status)](https://app.netlify.com/sites/stupendous-cucurucho-1aee31/deploys)

<h2 align="center">
  <img src="./assets/logo.svg" style="width:36px;margin-right:8px">
  Noteup

[Live version](https://noteup.dev/)

</h2>

<p align="center">A web and desktop markup notes app.</p>

![Screenshot](./assets/mockups.png)

[Noteup](https://noteup.dev/) is a free, open-source markup notes app for the web, mobile(PWA) and desktop. Your notes are saved in the local storage, but are available for import/export.

## Get started

To get started just visit [noteup.dev](https://noteup.dev) or [download a build](https://github.com/elementsinteractive/Noteup/releases) or clone the repo and run the install and start scripts

```properties
yarn install
```

```properties
yarn start
```

To run the desktop version, after installing run

```properties
yarn tauri dev
```

To make a desktop build run

```properties
yarn build
yarn tauri build
```

## Roadmap

- [x] Tandem scroll for side-by-side editing
- [ ] Add a page with markdown help commands
- [ ] Note sharing
- [ ] Account sync
- [ ] Cross-platform sync
- [ ] Extra download options (like `.pdf`)
- [ ] Quick command bar (WYSIWYG style)

## Contributing

This is an open source project, and contributions are welcomed and appreciated. Open issues, bugs, and enhancements are all listed on the [issues](https://github.com/elements/noteup/issues) tab and labeled accordingly.

View [CONTRIBUTING.md](CONTRIBUTING.md) to learn about the style guide, folder structure, scripts, and how to contribute.

## Inspirations

This project was visually inspired by another markdown note app called [Takenote](https://github.com/taniarascia/takenote) and the macOS notes app.

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center"><a href="https://github.com/MonsterCurry"><img src="https://avatars.githubusercontent.com/u/38473739?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Cláudio Silva</b></sub></a><br /><a href="https://github.com/elementsinteractive/Noteup/commits?author=MonsterCurry" title="Code">💻</a> <a href="https://github.com/elementsinteractive/Noteup/commits?author=MonsterCurry" title="Documentation">📖</a> <a href="#maintenance-MonsterCurry" title="Maintenance">🚧</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

## Author

- [Cláudio](https://github.com/MonsterCurry)

## License

This project is open source and available under the [MIT License](LICENSE).
